osl::book::OSquare Class Reference

Square, Owner: 9 bits. More...

`#include <miniBoard.h>`

Inheritance diagram for osl::book::OSquare:

## Public Member Functions

| OSquare ()
| OSquare (const Piece &p)
| OSquare (const int i)
Square | getSquare () const
Player | getOwner () const
| operator int () const

## Static Public Attributes

static const size_t | total_bits = 9

## Protected Attributes

int | value

## Detailed Description

Square, Owner: 9 bits.

For GOLD. 1: Owner 0:Black; 1:WHITE 2345: Square x 6789: Square y

Definition at line 19 of file miniBoard.h.

## Constructor & Destructor Documentation

## OSquare() [1/3]

osl::book::OSquare::OSquare | ( |  | ) |

inline

Definition at line 23 of file miniBoard.h.

References value.

Referenced by osl::book::OPSquare::OPSquare(), osl::book::OPSquare::OPSquare(), and osl::book::OPSquare::OPSquare().

## OSquare() [2/3]

osl::book::OSquare::OSquare | ( | const Piece & | p | ) |

inline

Definition at line 24 of file miniBoard.h.

References osl::BLACK, osl::Piece::owner(), osl::book::OPiece::position2Bits(), osl::Piece::square(), and value.

## OSquare() [3/3]

osl::book::OSquare::OSquare | ( | const int | i | ) |

inline

Definition at line 35 of file miniBoard.h.

References value.

## Member Function Documentation

## getOwner()

Player osl::book::OSquare::getOwner | ( |  | ) | const

inline

Definition at line 43 of file miniBoard.h.

References osl::BLACK, value, and osl::WHITE.

Referenced by osl::book::oposition_sort::operator()().

## getSquare()

Square osl::book::OSquare::getSquare | ( |  | ) | const

inline

Definition at line 39 of file miniBoard.h.

References osl::book::OPiece::bits2Square(), and value.

Referenced by osl::book::oposition_sort::operator()().

## operator int()

osl::book::OSquare::operator int | ( |  | ) | const

inline

Definition at line 51 of file miniBoard.h.

References value.

## Member Data Documentation

## total_bits

const size_t osl::book::OSquare::total_bits = 9

static

Definition at line 22 of file miniBoard.h.

Referenced by osl::book::MiniBoard::fromBase64, and osl::book::MiniBoard::toBits().

## value

int osl::book::OSquare::value

protected

Definition at line 53 of file miniBoard.h.

Referenced by getOwner(), getSquare(), osl::book::OPSquare::isPromoted(), operator int(), osl::book::OPSquare::OPSquare(), OSquare(), OSquare(), and OSquare().

The documentation for this class was generated from the following files:

- miniBoard.h
- miniBoard.cc